<?
  // DON'T BE A LOSER.  LEAVE THIS HERE.
  // Signature generator by FesterHead (aka Steve Kunitzer)

  // Modified to write the text strings to existing background
  // images and output the result to a different file name by
  // George P. Murphy (yourinternetradio.com)

  //===============================================
  /////////////////////////////////////////////////
  //  START OF CONFIGURATION SECTION
  /////////////////////////////////////////////////
  //===============================================
  
  //CHANGE IP ADRESS TO YOUR AIRTIME SERVER IP !!!!!!!!
  if ($_SERVER['REMOTE_ADDR'] != "YOUR_AIRTIME_SERVER_IP") { echo "You are not allowed to access this page!"; exit(); };

  // THE OUTPUT IMAGE FILE NAME.  THIS IS THE FILE NAME
  // TO INCLUDE IN YOUR FORUM SIGNATURE CODE.
  $outputImageName = "banner.png";
  
  //===============================================
  // STATION NAME PARAMETERS
  // The text to display as your station name
  $theStation = "www.eisradio.de";

  // Font file for the station name.
  $stationFont = "".dirname(__FILE__)."/SFAutomatonCondensedOblique.ttf";

  // Font size for the station name (use point size)
  $stationSize = "16";

  // Left pixel position for the station name
  $stationLeft = "3";

  // Bottom pixel position for the station name
  $stationBottom = "18";

  
  //===============================================
  // SONG TITLE PARAMETERS

  // The $songHeading is the string to display immediately
  // preceding the song title.  Include any spaces that you
  // want written between this heading text and the actual
  // song title.
  $songHeading  = "NOW PLAYING: ";

  // Font file for the song title (and its heading text)
  $songFont = "".dirname(__FILE__)."/verdanab.ttf";

  // Font size for the song title (use point size)
  $songSize = "8";

  // Left pixel position for the song title
  $songLeft = "6";

  // Bottom pixel position for the song title
  $songBottom = "30";

  // the $maxLenSongString is the maximum length of the entire
  // song string to be written to the image (this includes the
  // song heading that you defined above, the actual song title
  // text, and all spaces and punctuation).

  // When the string exceeds the maximum length that you define
  // here, the string will be truncated to include the first
  // (maximum length minus 2) characters.  Then 2 periods will
  // be concatenated to the end of the string.
  // ----------------------------------------------------------------------------
  // EXAMPLE:
  // $maxLenSongString = "62";     You set your max length to 62.

  // $songHeading  = "NOW PLAYING:  "; You set this text earlier
  //                                   (length of $songHeading, including
  //                                   the 2 spaces that follow the colon,
  //                                   is 14. So 48 characters remain
  //                                   before reaching the max length)

  // The current song title that we grab from SAMDB is:
  // "Everybody's Got Something To Hide Except Me And My Monkey"
  // (the length of that title is 57)

  // Put the 2 strings together and we have a 71 character string to write
  // to the image:
  // "NOW PLAYING:  Everybody's Got Something To Hide Except Me And My Monkey"

  // If that string was 62 characters or less, we would write the entire
  // string to the image. But 71 exceeds the 62 character maximum
  // that you set, so we won't display all 71 characters.  We'll display the
  // first 60 (which is the max, minus 2) and then add 2 periods to the end
  // resulting in a 62 character string.

  // This is the 62 character string that we'll output to the image:
  // "NOW PLAYING:  Everybody's Got Something To Hide Except Me An.."

  // As you experiment with font types and font sizes for your song text,
  // you'll probably want to adjust the max length.

  // If you don't want a max length restriction at all:  Set the value
  // of $maxLenSongString to something ridiculously high like "5000".

  // The value you are about to set here applies only to the *SONG* text!
  // There's a separate setting to make later for max length of *ARTIST* text.
  // There's no max length setting for your station name or for your quotes.
  // ----------------------------------------------------------------------------
  $maxLenSongString = "89";

  //===============================================
  // ARTIST NAME PARAMETERS
  // The text to display immediately preceding the artist name.
  $artistHeading = "RECORDED BY: ";

  // Font file for the artist name (and its heading text)
  $artistFont = "".dirname(__FILE__)."/verdanab.ttf";

  // Font size for the artist name (use point size)
  $artistSize = "8";

  // Left pixel position for the artist name
  $artistLeft = "6";

  // Bottom pixel position for the artist name
  $artistBottom = "42";

  // Maximum length of the entire artist string (this includes the
  // artist heading that you defined above, plus the artist name text,
  // and all spaces and punctuation).
  $maxLenArtistString = "69";

  //===============================================
  // QUOTE PARAMETERS
  // Put your quotes in this array
  $arr = array("Die besten Songs im Internet", "Eure Wunschsongs im Radio", "Hockey - the coolest game on earth", "The Sound of Hockey", "Erfrischend anders hren");

  // Font file for the quotes
  $quoteFont = "".dirname(__FILE__)."/SFAutomatonCondensedOblique.ttf";

  // Font size for the quotes (use point size)
  $quoteSize = "9";

  // Left pixel position for the quotes
  $quoteLeft = "3";

  // Bottom pixel position for the quotes
  $quoteBottom = "57";

  //===============================================
  // BACKGROUND IMAGE PARAMETERS
  // Put your background image names into an array.

  // Along with the image name, you'll provide font color parameters for
  // the 4 text strings (station, song, artist, quote).

  // You'll define the font colors for each of your different background
  // images, so you'll always get the font colors that you expect - no
  // matter which background image is randomly selected.

  // For each background image, you'll provide these 5 array elements:

  // 'filename'        name of the background image file
  // 'stationHexColor' hex color for the font of the station name
  // 'songHexColor'    hex color for the font of the song title
  // 'artistHexColor'  hex color for the font of the artist name
  // 'quoteHexColor'   hex color for the font of the quote

  $bgroundImg[0]['filename']="images/sigplayer.png";
  $bgroundImg[0]['stationHexColor']="000000";
  $bgroundImg[0]['songHexColor']="000000";
  $bgroundImg[0]['artistHexColor']="000000";
  $bgroundImg[0]['quoteHexColor']="FFFFFF";

  $bgroundImg[1]['filename']="images/sigplayer1.png";
  $bgroundImg[1]['stationHexColor']="FFFFFF";
  $bgroundImg[1]['songHexColor']="FFFFFF";
  $bgroundImg[1]['artistHexColor']="FFFFFF";
  $bgroundImg[1]['quoteHexColor']="FFFFFF";

  $bgroundImg[2]['filename']="images/sigplayer2.png";
  $bgroundImg[2]['stationHexColor']="DDDDDD";
  $bgroundImg[2]['songHexColor']="FFFFFF";
  $bgroundImg[2]['artistHexColor']="FFFFFF";
  $bgroundImg[2]['quoteHexColor']="FFFFFF";

  $bgroundImg[3]['filename']="images/sigplayer3.png";
  $bgroundImg[3]['stationHexColor']="000000";
  $bgroundImg[3]['songHexColor']="000000";
  $bgroundImg[3]['artistHexColor']="000000";
  $bgroundImg[3]['quoteHexColor']="FFFFFF";

  $bgroundImg[4]['filename']="images/sigplayer4.png";
  $bgroundImg[4]['stationHexColor']="FFFFFF";
  $bgroundImg[4]['songHexColor']="FFFFFF";
  $bgroundImg[4]['artistHexColor']="FFFFFF";
  $bgroundImg[4]['quoteHexColor']="000000";

  /*$bgroundImg[5]['filename']="mybannerbackgroundpurple.png";
  $bgroundImg[5]['stationHexColor']="FFFFFF";
  $bgroundImg[5]['songHexColor']="FFFFFF";
  $bgroundImg[5]['artistHexColor']="FFFFFF";
  $bgroundImg[5]['quoteHexColor']="FFFFFF";

  $bgroundImg[6]['filename']="mybannerbackgroundyellow.png";
  $bgroundImg[6]['stationHexColor']="000000";
  $bgroundImg[6]['songHexColor']="000000";
  $bgroundImg[6]['artistHexColor']="000000";
  $bgroundImg[6]['quoteHexColor']="FFFFFF";*/

  //===============================================
  /////////////////////////////////////////////////
  //  END OF CONFIGURATION SECTION
  /////////////////////////////////////////////////
  //  DO NOT MAKE CHANGES BELOW THIS POINT
  //  UNLESS YOU KNOW WHAT YOU ARE DOING!
  /////////////////////////////////////////////////
  //===============================================
  // SHUFFLE THE ARRAY THAT STORES THE BACKGROUND IMAGES
  shuffle($bgroundImg);

  // AT RANDOM, SELECT ONE OF THE BACKGROUND IMAGES
  $rand_img = array_rand($bgroundImg);

  // STORE THE FILENAME OF THE RANDOMLY SELECTED BACKGROUND IMAGE
  $bg_image_name = $bgroundImg[$rand_img]['filename'];

  // CREATE THE IMAGE, USING THE RANDOMLY SELECTED BACKGROUND IMAGE
  $im = imageCreateFromPNG($bg_image_name);

  //===============================================
  // SHUFFLE THE ARRAY THAT STORES THE QUOTES
  shuffle($arr);

  // AT RANDOM, SELECT ONE OF THE QUOTES
  $rand_key = array_rand($arr);

  // STORE THE SELECTED QUOTE
  $theQuote = $arr[$rand_key];



  //===============================================
  // BUILD THE STRINGS FOR SONG TITLE, ARTIST NAME
  // Earlier, we coded "Heading" text for song and artist.  Now we'll
  // concatentate those headings with the actual song title and artist name.
  $theSong  = $songHeading.$_GET["title"];
  $theArtist = $artistHeading.$_GET["artist"];

  //===============================================
  // ADJUST THE SONG STRING FOR MAX LENGTH, IF NECESSARY
  if (strlen($theSong) > $maxLenSongString)
  {
    $theSong = substr($theSong, 0, $maxLenSongString - 2);
    $theSong .= "..";
  }

  //===============================================
  // ADJUST THE ARTIST STRING FOR MAX LENGTH, IF NECESSARY
  if (strlen($theArtist) > $maxLenArtistString)
  {
    $theArtist = substr($theArtist, 0, $maxLenArtistString - 2);
    $theArtist .= "..";
  }

  //===============================================
  // BUILD THE FONT COLORS FOR OUR 4 TEXT STRINGS, USING THE HEX PARAMETERS
  // THAT WE STORED EARLIER FOR THE BACKGROUND IMAGE THAT'S IN USE.
  sscanf($bgroundImg[$rand_img]['stationHexColor'], "%2x%2x%2x", $red, $green, $blue);
  $stationColor = ImageColorAllocate($im,$red,$green,$blue);

  sscanf($bgroundImg[$rand_img]['songHexColor'], "%2x%2x%2x", $red, $green, $blue);
  $songColor = ImageColorAllocate($im,$red,$green,$blue);

  sscanf($bgroundImg[$rand_img]['artistHexColor'], "%2x%2x%2x", $red, $green, $blue);
  $artistColor = ImageColorAllocate($im,$red,$green,$blue);

  sscanf($bgroundImg[$rand_img]['quoteHexColor'], "%2x%2x%2x", $red, $green, $blue);
  $quoteColor = ImageColorAllocate($im,$red,$green,$blue);

  //===============================================
  // WRITE THE 4 TEXT STRINGS TO THE IMAGE
  imagettftext($im, $stationSize, 0, $stationLeft, $stationBottom, $stationColor, $stationFont, $theStation);
  imagettftext($im, $songSize, 0, $songLeft, $songBottom, $songColor, $songFont, $theSong);
  imagettftext($im, $artistSize, 0, $artistLeft, $artistBottom, $artistColor, $artistFont, $theArtist);
  imagettftext($im, $quoteSize, 0, $quoteLeft, $quoteBottom, $quoteColor, $quoteFont, $theQuote);


  //===============================================
  // OUTPUT THE IMAGE
  imagepng($im,$outputImageName);

  // FREE THE MEMORY THAT WAS USED TO CREATE THE IMAGE
  imagedestroy($im);
  
  
  
//****************************         VERTIKALER BANNER 120 x 120       **********************************// 
 // THE OUTPUT IMAGE FILE NAME.  THIS IS THE FILE NAME
  // TO INCLUDE IN YOUR FORUM SIGNATURE CODE.
  $outputImageNameVert = "banner_vert.png";

  //===============================================
  // STATION NAME PARAMETERS
  // The text to display as your station name
  $theStationVert = "eisradio.de";

  // Font file for the station name.
  $stationFontVert = "".dirname(__FILE__)."/SFAutomatonCondensedOblique.ttf";

  // Font size for the station name (use point size)
  $stationSizeVert = "15";

  // Left pixel position for the station name
  $stationLeftVert = "5";

  // Bottom pixel position for the station name
  $stationBottomVert = "112";

  
  //===============================================
  // SONG TITLE PARAMETERS

  // The $songHeading is the string to display immediately
  // preceding the song title.  Include any spaces that you
  // want written between this heading text and the actual
  // song title.
  $songHeadingVert  = "NOW PLAYING:\n";

  // Font file for the song title (and its heading text)
  $songFontVert = "".dirname(__FILE__)."/verdanab.ttf";

  // Font size for the song title (use point size)
  $songSizeVert = "7";

  // Left pixel position for the song title
  $songLeftVert = "5";

  // Bottom pixel position for the song title
  $songBottomVert = "45";

  // the $maxLenSongString is the maximum length of the entire
  // song string to be written to the image (this includes the
  // song heading that you defined above, the actual song title
  // text, and all spaces and punctuation).

  // When the string exceeds the maximum length that you define
  // here, the string will be truncated to include the first
  // (maximum length minus 2) characters.  Then 2 periods will
  // be concatenated to the end of the string.
  // ----------------------------------------------------------------------------
  // EXAMPLE:
  // $maxLenSongString = "62";     You set your max length to 62.

  // $songHeading  = "NOW PLAYING:  "; You set this text earlier
  //                                   (length of $songHeading, including
  //                                   the 2 spaces that follow the colon,
  //                                   is 14. So 48 characters remain
  //                                   before reaching the max length)

  // The current song title that we grab from SAMDB is:
  // "Everybody's Got Something To Hide Except Me And My Monkey"
  // (the length of that title is 57)

  // Put the 2 strings together and we have a 71 character string to write
  // to the image:
  // "NOW PLAYING:  Everybody's Got Something To Hide Except Me And My Monkey"

  // If that string was 62 characters or less, we would write the entire
  // string to the image. But 71 exceeds the 62 character maximum
  // that you set, so we won't display all 71 characters.  We'll display the
  // first 60 (which is the max, minus 2) and then add 2 periods to the end
  // resulting in a 62 character string.

  // This is the 62 character string that we'll output to the image:
  // "NOW PLAYING:  Everybody's Got Something To Hide Except Me An.."

  // As you experiment with font types and font sizes for your song text,
  // you'll probably want to adjust the max length.

  // If you don't want a max length restriction at all:  Set the value
  // of $maxLenSongString to something ridiculously high like "5000".

  // The value you are about to set here applies only to the *SONG* text!
  // There's a separate setting to make later for max length of *ARTIST* text.
  // There's no max length setting for your station name or for your quotes.
  // ----------------------------------------------------------------------------
  $maxLenSongStringVert = "32";

  //===============================================
  // ARTIST NAME PARAMETERS
  // The text to display immediately preceding the artist name.
  $artistHeadingVert = "RECORDED BY:\n";

  // Font file for the artist name (and its heading text)
  $artistFontVert = "".dirname(__FILE__)."/verdanab.ttf";

  // Font size for the artist name (use point size)
  $artistSizeVert = "7";

  // Left pixel position for the artist name
  $artistLeftVert = "5";

  // Bottom pixel position for the artist name
  $artistBottomVert = "70";

  // Maximum length of the entire artist string (this includes the
  // artist heading that you defined above, plus the artist name text,
  // and all spaces and punctuation).
  $maxLenArtistStringVert = "32";

  //===============================================
  // QUOTE PARAMETERS
  // Put your quotes in this array
  $arrVert = array("Die besten Songs im Internet", "Eure Wunschsongs bei uns", "the coolest game on earth", "The Sound of Hockey", "Erfrischend anders hren");

  // Font file for the quotes
  $quoteFontVert = "".dirname(__FILE__)."/verdanab.ttf";

  // Font size for the quotes (use point size)
  $quoteSizeVert = "4.5";

  // Left pixel position for the quotes
  $quoteLeftVert = "3";

  // Bottom pixel position for the quotes
  $quoteBottomVert = "118";

  //===============================================
  // BACKGROUND IMAGE PARAMETERS
  // Put your background image names into an array.

  // Along with the image name, you'll provide font color parameters for
  // the 4 text strings (station, song, artist, quote).

  // You'll define the font colors for each of your different background
  // images, so you'll always get the font colors that you expect - no
  // matter which background image is randomly selected.

  // For each background image, you'll provide these 5 array elements:

  // 'filename'        name of the background image file
  // 'stationHexColor' hex color for the font of the station name
  // 'songHexColor'    hex color for the font of the song title
  // 'artistHexColor'  hex color for the font of the artist name
  // 'quoteHexColor'   hex color for the font of the quote

  $bgroundImgVert[0]['filename']="images/sigplayer_vert.png";
  $bgroundImgVert[0]['stationHexColor']="FFFFFF";
  $bgroundImgVert[0]['songHexColor']="000000";
  $bgroundImgVert[0]['artistHexColor']="000000";
  $bgroundImgVert[0]['quoteHexColor']="000000";

  /*$bgroundImgVert[1]['filename']="images/sigplayer1.png";
  $bgroundImgVert[1]['stationHexColor']="FFFFFF";
  $bgroundImgVert[1]['songHexColor']="FFFFFF";
  $bgroundImgVert[1]['artistHexColor']="FFFFFF";
  $bgroundImgVert[1]['quoteHexColor']="FFFFFF";

  $bgroundImgVert[2]['filename']="images/sigplayer2.png";
  $bgroundImgVert[2]['stationHexColor']="DDDDDD";
  $bgroundImgVert[2]['songHexColor']="FFFFFF";
  $bgroundImgVert[2]['artistHexColor']="FFFFFF";
  $bgroundImgVert[2]['quoteHexColor']="FFFFFF";

  $bgroundImgVert[3]['filename']="images/sigplayer3.png";
  $bgroundImgVert[3]['stationHexColor']="000000";
  $bgroundImgVert[3]['songHexColor']="000000";
  $bgroundImgVert[3]['artistHexColor']="000000";
  $bgroundImgVert[3]['quoteHexColor']="FFFFFF";

  $bgroundImgVert[4]['filename']="images/sigplayer4.png";
  $bgroundImgVert[4]['stationHexColor']="FFFFFF";
  $bgroundImgVert[4]['songHexColor']="FFFFFF";
  $bgroundImgVert[4]['artistHexColor']="FFFFFF";
  $bgroundImgVert[4]['quoteHexColor']="000000";

  $bgroundImgVert[5]['filename']="mybannerbackgroundpurple.png";
  $bgroundImgVert[5]['stationHexColor']="FFFFFF";
  $bgroundImgVert[5]['songHexColor']="FFFFFF";
  $bgroundImgVert[5]['artistHexColor']="FFFFFF";
  $bgroundImgVert[5]['quoteHexColor']="FFFFFF";

  $bgroundImgVert[6]['filename']="mybannerbackgroundyellow.png";
  $bgroundImgVert[6]['stationHexColor']="000000";
  $bgroundImgVert[6]['songHexColor']="000000";
  $bgroundImgVert[6]['artistHexColor']="000000";
  $bgroundImgVert[6]['quoteHexColor']="FFFFFF";*/

  //===============================================
  /////////////////////////////////////////////////
  //  END OF CONFIGURATION SECTION
  /////////////////////////////////////////////////
  //  DO NOT MAKE CHANGES BELOW THIS POINT
  //  UNLESS YOU KNOW WHAT YOU ARE DOING!
  /////////////////////////////////////////////////
  //===============================================
  // SHUFFLE THE ARRAY THAT STORES THE BACKGROUND IMAGES
  shuffle($bgroundImgVert);

  // AT RANDOM, SELECT ONE OF THE BACKGROUND IMAGES
  $rand_imgVert = array_rand($bgroundImgVert);

  // STORE THE FILENAME OF THE RANDOMLY SELECTED BACKGROUND IMAGE
  $bg_image_nameVert = $bgroundImgVert[$rand_imgVert]['filename'];

  // CREATE THE IMAGE, USING THE RANDOMLY SELECTED BACKGROUND IMAGE
  $imVert = imageCreateFromPNG($bg_image_nameVert);

  //===============================================
  // SHUFFLE THE ARRAY THAT STORES THE QUOTES
  shuffle($arrVert);

  // AT RANDOM, SELECT ONE OF THE QUOTES
  $rand_keyVert = array_rand($arrVert);

  // STORE THE SELECTED QUOTE
  $theQuoteVert = $arrVert[$rand_keyVert];

  //===============================================
  // BUILD THE STRINGS FOR SONG TITLE, ARTIST NAME
  // Earlier, we coded "Heading" text for song and artist.  Now we'll
  // concatentate those headings with the actual song title and artist name.
  $theSongVert  = $songHeadingVert.$_GET["title"];
  $theArtistVert = $artistHeadingVert.$_GET["artist"];

  //===============================================
  // ADJUST THE SONG STRING FOR MAX LENGTH, IF NECESSARY
  if (strlen($theSongVert) > $maxLenSongStringVert)
  {
    $theSongVert = substr($theSongVert, 0, $maxLenSongStringVert - 2);
    $theSongVert .= "..";
  }

  //===============================================
  // ADJUST THE ARTIST STRING FOR MAX LENGTH, IF NECESSARY
  if (strlen($theArtistVert) > $maxLenArtistStringVert)
  {
    $theArtistVert = substr($theArtistVert, 0, $maxLenArtistStringVert - 2);
    $theArtistVert .= "..";
  }

  //===============================================
  // BUILD THE FONT COLORS FOR OUR 4 TEXT STRINGS, USING THE HEX PARAMETERS
  // THAT WE STORED EARLIER FOR THE BACKGROUND IMAGE THAT'S IN USE.
  sscanf($bgroundImgVert[$rand_imgVert]['stationHexColor'], "%2x%2x%2x", $red, $green, $blue);
  $stationColorVert = ImageColorAllocate($imVert,$red,$green,$blue);

  sscanf($bgroundImgVert[$rand_imgVert]['songHexColor'], "%2x%2x%2x", $red, $green, $blue);
  $songColorVert = ImageColorAllocate($imVert,$red,$green,$blue);

  sscanf($bgroundImgVert[$rand_imgVert]['artistHexColor'], "%2x%2x%2x", $red, $green, $blue);
  $artistColorVert = ImageColorAllocate($imVert,$red,$green,$blue);

  sscanf($bgroundImgVert[$rand_imgVert]['quoteHexColor'], "%2x%2x%2x", $red, $green, $blue);
  $quoteColorVert = ImageColorAllocate($imVert,$red,$green,$blue);

  //===============================================
  // WRITE THE 4 TEXT STRINGS TO THE IMAGE
  imagettftext($imVert, $stationSizeVert, 0, $stationLeftVert, $stationBottomVert, $stationColorVert, $stationFontVert, $theStationVert);
  imagettftext($imVert, $songSizeVert, 0, $songLeftVert, $songBottomVert, $songColorVert, $songFontVert, $theSongVert);
  imagettftext($imVert, $artistSizeVert, 0, $artistLeftVert, $artistBottomVert, $artistColorVert, $artistFontVert, $theArtistVert);
  //imagettftext($imVert, $quoteSizeVert, 0, $quoteLeftVert, $quoteBottomVert, $quoteColorVert, $quoteFontVert, $theQuoteVert);  // No Qutes because they couldn't be read


  //===============================================
  // OUTPUT THE IMAGE
  imagepng($imVert,$outputImageNameVert);

  // FREE THE MEMORY THAT WAS USED TO CREATE THE IMAGE
  imagedestroy($imVert);
  
  
  
//****************************         VERTIKALER BANNER  120 x 240      **********************************// 
 // THE OUTPUT IMAGE FILE NAME.  THIS IS THE FILE NAME
  // TO INCLUDE IN YOUR FORUM SIGNATURE CODE.
  $outputImageNameVertBig = "banner_vert_big.png";

  //===============================================
  // STATION NAME PARAMETERS
  // The text to display as your station name
  $theStationVertBig = "eisradio.de";

  // Font file for the station name.
  $stationFontVertBig = "".dirname(__FILE__)."/SFAutomatonCondensedOblique.ttf";

  // Font size for the station name (use point size)
  $stationSizeVertBig = "14";

  // Left pixel position for the station name
  $stationLeftVertBig = "3";

  // Bottom pixel position for the station name
  $stationBottomVertBig = "110";

  
  //===============================================
  // SONG TITLE PARAMETERS

  // The $songHeading is the string to display immediately
  // preceding the song title.  Include any spaces that you
  // want written between this heading text and the actual
  // song title.
  $songHeadingVertBig  = "NOW PLAYING:\n";

  // Font file for the song title (and its heading text)
  $songFontVertBig = "".dirname(__FILE__)."/verdanab.ttf";

  // Font size for the song title (use point size)
  $songSizeVertBig = "7";

  // Left pixel position for the song title
  $songLeftVertBig = "5";

  // Bottom pixel position for the song title
  $songBottomVertBig = "46";

  // the $maxLenSongString is the maximum length of the entire
  // song string to be written to the image (this includes the
  // song heading that you defined above, the actual song title
  // text, and all spaces and punctuation).

  // When the string exceeds the maximum length that you define
  // here, the string will be truncated to include the first
  // (maximum length minus 2) characters.  Then 2 periods will
  // be concatenated to the end of the string.
  // ----------------------------------------------------------------------------
  // EXAMPLE:
  // $maxLenSongString = "62";     You set your max length to 62.

  // $songHeading  = "NOW PLAYING:  "; You set this text earlier
  //                                   (length of $songHeading, including
  //                                   the 2 spaces that follow the colon,
  //                                   is 14. So 48 characters remain
  //                                   before reaching the max length)

  // The current song title that we grab from SAMDB is:
  // "Everybody's Got Something To Hide Except Me And My Monkey"
  // (the length of that title is 57)

  // Put the 2 strings together and we have a 71 character string to write
  // to the image:
  // "NOW PLAYING:  Everybody's Got Something To Hide Except Me And My Monkey"

  // If that string was 62 characters or less, we would write the entire
  // string to the image. But 71 exceeds the 62 character maximum
  // that you set, so we won't display all 71 characters.  We'll display the
  // first 60 (which is the max, minus 2) and then add 2 periods to the end
  // resulting in a 62 character string.

  // This is the 62 character string that we'll output to the image:
  // "NOW PLAYING:  Everybody's Got Something To Hide Except Me An.."

  // As you experiment with font types and font sizes for your song text,
  // you'll probably want to adjust the max length.

  // If you don't want a max length restriction at all:  Set the value
  // of $maxLenSongString to something ridiculously high like "5000".

  // The value you are about to set here applies only to the *SONG* text!
  // There's a separate setting to make later for max length of *ARTIST* text.
  // There's no max length setting for your station name or for your quotes.
  // ----------------------------------------------------------------------------
  $maxLenSongStringVertBig = "32";

  //===============================================
  // ARTIST NAME PARAMETERS
  // The text to display immediately preceding the artist name.
  $artistHeadingVertBig = "RECORDED BY:\n";

  // Font file for the artist name (and its heading text)
  $artistFontVertBig = "".dirname(__FILE__)."/verdanab.ttf";

  // Font size for the artist name (use point size)
  $artistSizeVertBig = "7";

  // Left pixel position for the artist name
  $artistLeftVertBig = "5";

  // Bottom pixel position for the artist name
  $artistBottomVertBig = "75";

  // Maximum length of the entire artist string (this includes the
  // artist heading that you defined above, plus the artist name text,
  // and all spaces and punctuation).
  $maxLenArtistStringVertBig = "32";

  //===============================================
  // QUOTE PARAMETERS
  // Put your quotes in this array
  $arrVertBig = array("Die besten Songs im Internet", "Eure Wunschsongs bei uns", "the coolest game on earth", "The Sound of Hockey", "Erfrischend anders hren");

  // Font file for the quotes
  $quoteFontVertBig = "".dirname(__FILE__)."/SFAutomatonCondensedOblique.ttf";

  // Font size for the quotes (use point size)
  $quoteSizeVertBig = "9";

  // Left pixel position for the quotes
  $quoteLeftVertBig = "116";

  // Bottom pixel position for the quotes
  $quoteBottomVertBig = "235";

  //===============================================
  // BACKGROUND IMAGE PARAMETERS
  // Put your background image names into an array.

  // Along with the image name, you'll provide font color parameters for
  // the 4 text strings (station, song, artist, quote).

  // You'll define the font colors for each of your different background
  // images, so you'll always get the font colors that you expect - no
  // matter which background image is randomly selected.

  // For each background image, you'll provide these 5 array elements:

  // 'filename'        name of the background image file
  // 'stationHexColor' hex color for the font of the station name
  // 'songHexColor'    hex color for the font of the song title
  // 'artistHexColor'  hex color for the font of the artist name
  // 'quoteHexColor'   hex color for the font of the quote

  $bgroundImgVertBig[0]['filename']="images/sigplayer_vert_big.png";
  $bgroundImgVertBig[0]['stationHexColor']="000000";
  $bgroundImgVertBig[0]['songHexColor']="000000";
  $bgroundImgVertBig[0]['artistHexColor']="000000";
  $bgroundImgVertBig[0]['quoteHexColor']="FFFFFF";

  /*$bgroundImgVertBig[1]['filename']="images/sigplayer1.png";
  $bgroundImgVertBig[1]['stationHexColor']="FFFFFF";
  $bgroundImgVertBig[1]['songHexColor']="FFFFFF";
  $bgroundImgVertBig[1]['artistHexColor']="FFFFFF";
  $bgroundImgVertBig[1]['quoteHexColor']="FFFFFF";

  $bgroundImgVertBig[2]['filename']="images/sigplayer2.png";
  $bgroundImgVertBig[2]['stationHexColor']="DDDDDD";
  $bgroundImgVertBig[2]['songHexColor']="FFFFFF";
  $bgroundImgVertBig[2]['artistHexColor']="FFFFFF";
  $bgroundImgVertBig[2]['quoteHexColor']="FFFFFF";

  $bgroundImgVertBig[3]['filename']="images/sigplayer3.png";
  $bgroundImgVertBig[3]['stationHexColor']="000000";
  $bgroundImgVertBig[3]['songHexColor']="000000";
  $bgroundImgVertBig[3]['artistHexColor']="000000";
  $bgroundImgVertBig[3]['quoteHexColor']="FFFFFF";

  $bgroundImgVertBig[4]['filename']="images/sigplayer4.png";
  $bgroundImgVertBig[4]['stationHexColor']="FFFFFF";
  $bgroundImgVertBig[4]['songHexColor']="FFFFFF";
  $bgroundImgVertBig[4]['artistHexColor']="FFFFFF";
  $bgroundImgVertBig[4]['quoteHexColor']="000000";

  $bgroundImgVertBig[5]['filename']="mybannerbackgroundpurple.png";
  $bgroundImgVertBig[5]['stationHexColor']="FFFFFF";
  $bgroundImgVertBig[5]['songHexColor']="FFFFFF";
  $bgroundImgVertBig[5]['artistHexColor']="FFFFFF";
  $bgroundImgVertBig[5]['quoteHexColor']="FFFFFF";

  $bgroundImgVertBig[6]['filename']="mybannerbackgroundyellow.png";
  $bgroundImgVertBig[6]['stationHexColor']="000000";
  $bgroundImgVertBig[6]['songHexColor']="000000";
  $bgroundImgVertBig[6]['artistHexColor']="000000";
  $bgroundImgVertBig[6]['quoteHexColor']="FFFFFF";*/

  //===============================================
  /////////////////////////////////////////////////
  //  END OF CONFIGURATION SECTION
  /////////////////////////////////////////////////
  //  DO NOT MAKE CHANGES BELOW THIS POINT
  //  UNLESS YOU KNOW WHAT YOU ARE DOING!
  /////////////////////////////////////////////////
  //===============================================
  // SHUFFLE THE ARRAY THAT STORES THE BACKGROUND IMAGES
  shuffle($bgroundImgVertBig);

  // AT RANDOM, SELECT ONE OF THE BACKGROUND IMAGES
  $rand_imgVertBig = array_rand($bgroundImgVertBig);

  // STORE THE FILENAME OF THE RANDOMLY SELECTED BACKGROUND IMAGE
  $bg_image_nameVertBig = $bgroundImgVertBig[$rand_imgVertBig]['filename'];

  // CREATE THE IMAGE, USING THE RANDOMLY SELECTED BACKGROUND IMAGE
  $imVertBig = imageCreateFromPNG($bg_image_nameVertBig);

  //===============================================
  // SHUFFLE THE ARRAY THAT STORES THE QUOTES
  shuffle($arrVertBig);

  // AT RANDOM, SELECT ONE OF THE QUOTES
  $rand_keyVertBig = array_rand($arrVertBig);

  // STORE THE SELECTED QUOTE
  $theQuoteVertBig = $arrVertBig[$rand_keyVertBig];

  //===============================================
  // BUILD THE STRINGS FOR SONG TITLE, ARTIST NAME
  // Earlier, we coded "Heading" text for song and artist.  Now we'll
  // concatentate those headings with the actual song title and artist name.
  $theSongVertBig  = $songHeadingVertBig.$_GET["title"];
  $theArtistVertBig = $artistHeadingVertBig.$_GET["artist"];

  //===============================================
  // ADJUST THE SONG STRING FOR MAX LENGTH, IF NECESSARY
  if (strlen($theSongVertBig) > $maxLenSongStringVertBig)
  {
    $theSongVertBig = substr($theSongVertBig, 0, $maxLenSongStringVertBig - 2);
    $theSongVertBig .= "..";
  }

  //===============================================
  // ADJUST THE ARTIST STRING FOR MAX LENGTH, IF NECESSARY
  if (strlen($theArtistVertBig) > $maxLenArtistStringVertBig)
  {
    $theArtistVertBig = substr($theArtistVertBig, 0, $maxLenArtistStringVertBig - 2);
    $theArtistVertBig .= "..";
  }

  //===============================================
  // BUILD THE FONT COLORS FOR OUR 4 TEXT STRINGS, USING THE HEX PARAMETERS
  // THAT WE STORED EARLIER FOR THE BACKGROUND IMAGE THAT'S IN USE.
  sscanf($bgroundImgVertBig[$rand_imgVertBig]['stationHexColor'], "%2x%2x%2x", $red, $green, $blue);
  $stationColorVertBig = ImageColorAllocate($imVertBig,$red,$green,$blue);

  sscanf($bgroundImgVertBig[$rand_imgVertBig]['songHexColor'], "%2x%2x%2x", $red, $green, $blue);
  $songColorVertBig = ImageColorAllocate($imVertBig,$red,$green,$blue);

  sscanf($bgroundImgVertBig[$rand_imgVertBig]['artistHexColor'], "%2x%2x%2x", $red, $green, $blue);
  $artistColorVertBig = ImageColorAllocate($imVertBig,$red,$green,$blue);

  sscanf($bgroundImgVertBig[$rand_imgVertBig]['quoteHexColor'], "%2x%2x%2x", $red, $green, $blue);
  $quoteColorVertBig = ImageColorAllocate($imVertBig,$red,$green,$blue);

  //===============================================
  // WRITE THE 4 TEXT STRINGS TO THE IMAGE
  imagettftext($imVertBig, $stationSizeVertBig, 0, $stationLeftVertBig, $stationBottomVertBig, $stationColorVertBig, $stationFontVertBig, $theStationVertBig);
  imagettftext($imVertBig, $songSizeVertBig, 0, $songLeftVertBig, $songBottomVertBig, $songColorVertBig, $songFontVertBig, $theSongVertBig);
  imagettftext($imVertBig, $artistSizeVertBig, 0, $artistLeftVertBig, $artistBottomVertBig, $artistColorVertBig, $artistFontVertBig, $theArtistVertBig);
  imagettftext($imVertBig, $quoteSizeVertBig, 90, $quoteLeftVertBig, $quoteBottomVertBig, $quoteColorVertBig, $quoteFontVertBig, $theQuoteVertBig);


  //===============================================
  // OUTPUT THE IMAGE
  imagepng($imVertBig,$outputImageNameVertBig);

  // FREE THE MEMORY THAT WAS USED TO CREATE THE IMAGE
  imagedestroy($imVertBig);
?>
                               
